v.normal(1)

NAME
v.normal - tests for normality for points.

SYNOPSIS
v.normal
v.normal help
v.normal [-rql] map=string tests=range[,range,...] column=string

  Flags:

-r  Use only points in current region

-q  Quiet

-l  lognormal

  Parameters:

map=string
    point vector defining sample points

tests=range[,range,...]
    Lists of tests (1-15): e.g. 1,3-8,13

column=string
    Attribute column

DESCRIPTION
v.normal computes tests of normality on vector points.

NOTES
The tests that v.normal performs are indexed below. The tests that are performed are specified by giving an index, ranges of indices, or multiple thereof.

     Sample skewness and kurtosis

     Geary's a-statistic and an approximate normal transformation

     Extreme normal deviates

     D'Agostino's D-statistic

     Modified Kuiper V-statistic

     Modified Watson U^2-statistic

     Durbin's Exact Test (modified Kolmogorov)

     Modified Anderson-Darling statistic

     Modified Cramer-Von Mises W^2-statistic

     Kolmogorov-Smirnov D-statistic (modified for normality testing)

     Chi-Square test statistic (equal probability classes) and the number of degrees of freedom

     Shapiro-Wilk W Test

     Weisberg-Binghams W'' (similar to Shapiro-Francia's W')

     Royston's extension of W for large samples

     Kotz Separate-Families Test for Lognormality vs. Normality

EXAMPLE
v.normal map=soils tests=1-3,14 col=flt1

computes the sample skewness and kurtosis, Geary's a-statistic and an approximate normal transformation, extreme normal deviates, and Royston's W for the soils vector points.

SEE ALSO
v.univar

AUTHOR
James Darrell McCauley ,
when he was at: Agricultural Engineering Purdue University

Last changed: $Date: 2004/10/16 10:30:43 $

Help Index